Bug 1576865 - Bluetooth errors during boot
Summary: Bluetooth errors during boot
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 31
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-10 15:11 UTC by Sebastian
Modified: 2020-11-24 16:56 UTC (History)
20 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 16:56:08 UTC
Type: Bug


Attachments (Terms of Use)

Description Sebastian 2018-05-10 15:11:40 UTC
Description of problem: While booting the system some bluetooth errors occur.


How reproducible: Turn bluetooth off and reboot your system.


Steps to Reproduce:
1. Turn of bluetooth
2. Reboot your system
3. Check log for errors


Actual results:
Bluetooth: hci0 sending Intel patch command (0xfc8e) failed (-19)
Bluetooth: hci0 command 0xfc8e tx timeout
Bluetooth: hci0 sending frame failed (-19)
Bluetooth: hci0 command 0xfc11 tx timeout
Bluetooth: hci0 exiting Intel manufacturer mode failed (-110)


Expected results: No errors during boot.


Workaround: "systemctl enable bluetooth" and all the errors are gone. It's a fresh install of fedora 28 and it should work without running some extra commands. Even eliminates some rfkill errors.

Additional info: 
Bluetooth: hci0: read Intel version: 370810011003110e00
Bluetooth: hci0: Intel Bluetooth firmware file: intel/ibt-hw-37.8.10-fw-1.10.3.11.e.bseq

Comment 1 Bastien Nocera 2018-06-12 11:46:30 UTC
(In reply to Sebastian from comment #0)
> Description of problem: While booting the system some bluetooth errors occur.
> 
> 
> How reproducible: Turn bluetooth off and reboot your system.

If bluetoothd isn't running, then those warnings aren't coming from bluetoothd. Then they're coming from the kernel.

Comment 2 Sebastian 2018-06-13 15:39:49 UTC
(In reply to Bastien Nocera from comment #1)
> If bluetoothd isn't running, then those warnings aren't coming from
> bluetoothd. Then they're coming from the kernel.

Bluetoothd is running.

[user@localhost-localdomain ~]$ systemctl status bluetooth
● bluetooth.service - Bluetooth service
   Loaded: loaded (/usr/lib/systemd/system/bluetooth.service; enabled; vendor p>
   Active: active (running) since Wed 2018-06-13 17:06:59 CEST; 29min ago
     Docs: man:bluetoothd(8)
 Main PID: 894 (bluetoothd)
   Status: "Running"
    Tasks: 1 (limit: 4915)
   Memory: 2.2M
   CGroup: /system.slice/bluetooth.service
           └─894 /usr/libexec/bluetooth/bluetoothd

P.S.: "systemctl enable bluetooth" did only help for some reboots. Errors are back now.

Comment 3 Sebastian 2018-06-13 15:42:37 UTC
Bluetoothd was always on, but typing "systemctl enable bluetooth" make the errors disappear for a while.

Comment 4 Justin M. Forbes 2018-07-23 14:51:40 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.17.7-200.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you experience different issues, please open a new bug report for those.

Comment 5 Sebastian 2018-07-24 12:17:05 UTC
The problem is still persisten with the newer kernel.

Comment 6 Sebastian 2018-07-24 12:22:49 UTC
Kernel version: 4.17.7-200.fc28.x86_64

Comment 7 Laura Abbott 2018-10-01 21:24:46 UTC
We apologize for the inconvenience.  There is a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.
 
Fedora 28 has now been rebased to 4.18.10-300.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.
 
If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.
 
If you experience different issues, please open a new bug report for those.

Comment 8 Sebastian 2018-10-02 09:29:11 UTC
Still the same errors on 4.18.10-200.fc28.x86_64.

Comment 9 Justin M. Forbes 2019-01-29 16:25:29 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 28 kernel bugs.

Fedora 28 has now been rebased to 4.20.5-100.fc28.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 29, and are still experiencing this issue, please change the version to Fedora 29.

If you experience different issues, please open a new bug report for those.

Comment 10 Sebastian 2019-01-29 17:26:01 UTC
Same on 4.20.4-200.fc29.x86_64.

Comment 11 Ben Cotton 2019-05-02 19:57:33 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 12 Sebastian 2019-06-01 10:29:29 UTC
Seems to be resolved on Fedora 30(5.1.5-300.fc30.x86_64).

Comment 13 Sebastian 2019-07-29 22:49:27 UTC
Errors are back after some updates. 
5.1.19-300.fc30.x86_64

Comment 14 Justin M. Forbes 2019-08-20 17:42:29 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 29 kernel bugs.

Fedora 29 has now been rebased to 5.2.9-100.fc29.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 30, and are still experiencing this issue, please change the version to Fedora 30.

If you experience different issues, please open a new bug report for those.

Comment 15 Sebastian 2019-08-21 12:08:22 UTC
Bluetooth: hci0: unexpected event for opcode 0xfc2f

Comment 16 Ben Cotton 2019-10-31 18:55:54 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Justin M. Forbes 2020-03-03 16:36:32 UTC
*********** MASS BUG UPDATE **************

We apologize for the inconvenience.  There are a large number of bugs to go through and several of them have gone stale.  Due to this, we are doing a mass bug update across all of the Fedora 31 kernel bugs.

Fedora 31 has now been rebased to 5.5.7-200.fc31.  Please test this kernel update (or newer) and let us know if you issue has been resolved or if it is still present with the newer kernel.

If you have moved on to Fedora 32, and are still experiencing this issue, please change the version to Fedora 32.

If you experience different issues, please open a new bug report for those.

Comment 18 Sebastian 2020-03-21 11:05:31 UTC
(In reply to Justin M. Forbes from comment #17)
> *********** MASS BUG UPDATE **************
> 
> We apologize for the inconvenience.  There are a large number of bugs to go
> through and several of them have gone stale.  Due to this, we are doing a
> mass bug update across all of the Fedora 31 kernel bugs.
> 
> Fedora 31 has now been rebased to 5.5.7-200.fc31.  Please test this kernel
> update (or newer) and let us know if you issue has been resolved or if it is
> still present with the newer kernel.
> 
> If you have moved on to Fedora 32, and are still experiencing this issue,
> please change the version to Fedora 32.
> 
> If you experience different issues, please open a new bug report for those.

Issue is still there: 5.5.9-200.fc31.x86_64

Comment 19 Ben Cotton 2020-11-03 15:00:48 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 20 Ben Cotton 2020-11-24 16:56:08 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.